REGULATOR_HAS_FULL_C(9)

NAME
regulator_has_full_constraints - the system has fully specified constraints

SYNOPSIS

void regulator_has_full_constraints(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Calling this function will cause the regulator API to disable all regulators which have a zero use count and don't have an always_on constraint in a late_initcall.

The intention is that this will become the default behaviour in a future kernel release so users are encouraged to use this facility now.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT